## g_dipoles

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_dipoles computes the total dipole plus fluctuations of a simulation system. From this you can compute e.g. the dielectric constant for low dielectric media

The file Mtot.xvg contains the total dipole moment of a frame, the components as well as the norm of the vector. The file aver.xvg contains < |Mu|^2 > and < |Mu| >^2 during the simulation. The file dipdist.xvg contains the distribution of dipole moments during the simulation The mu_max is used as the highest value in the distribution graph.

Furthermore the dipole autocorrelation function will be computed, when option -c is used. It can be averaged over all molecules, or (with option -avercorr) it can be computed as the autocorrelation of the total dipole moment of the simulation box.

At the moment the dielectric constant is calculated only correct if a rectangular or cubic simulation box is used.

Option `-g` produces a plot of the distance dependent Kirkwood G-factor, as well as the average cosine of the angle between the dipoles as a function of the distance. The plot also includes gOO and hOO according to Nymand & Linse, JCP 112 (2000) pp 6386-6395. In the same plot we also include the energy per scale computed by taking the inner product of the dipoles divided by the distance to the third power.

EXAMPLES

g_dipoles -P1 -n mols -o dip_sqr -mu 2.273 -mumax 5.0 -nofft

This will calculate the autocorrelation function of the molecular dipoles using a first order Legendre polynomial of the angle of the dipole vector and itself a time t later. For this calculation 1001 frames will be used. Further the dielectric constant will be calculated using an epsilonRF of infinity (default), temperature of 300 K (default) and an average dipole moment of the molecule of 2.273 (SPC). For the distribution function a maximum of 5.0 will be used.

### Files

option | filename | type | description
--- | --- | --- | ---
`-enx` | `ener.edr` | Input, Opt. | Generic energy: edr ene
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input | Generic run input: tpr tpb tpa xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-o` | `Mtot.xvg` | Output | xvgr/xmgr file
`-eps` | `epsilon.xvg` | Output | xvgr/xmgr file
`-a` | `aver.xvg` | Output | xvgr/xmgr file
`-d` | `dipdist.xvg` | Output | xvgr/xmgr file
`-c` | `dipcorr.xvg` | Output, Opt. | xvgr/xmgr file
`-g` | `gkr.xvg` | Output, Opt. | xvgr/xmgr file
`-q` | `quadrupole.xvg` | Output, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-mu` | real | `-1` | dipole of a single molecule (in Debye)
`-mumax` | real | `5` | max dipole in Debye (for histrogram)
`-epsilonRF` | real | `0` | epsilon of the reaction field used during the simulation, needed for dieclectric constant calculation. WARNING: 0.0 means infinity (default)
`-skip` | int | `0` | Skip steps in the output (but not in the computations)
`-temp` | real | `300` | average temperature of the simulation (needed for dielectric constant calculation)
`-[no]avercorr` | bool | `no` | calculate AC function of average dipole moment of the simulation box rather than average of AC function per molecule
`-gkratom` | int | `0` | Use the n-th atom of a molecule (starting from 1) to calculate the distance between molecules rather than the center of charge (when 0) in the calculation of distance dependent Kirkwood factors
`-acflen` | int | `-1` | Length of the ACF, default is half the number of frames
`-[no]normalize` | bool | `yes` | Normalize ACF
`-P` | enum | `0` | Order of Legendre polynomial for ACF (0 indicates none): `0`, `1`, `2` or `3`
`-fitfn` | enum | `none` | Fit function: `none`, `exp`, `aexp`, `exp_exp`, `vac`, `exp5`, `exp7` or `exp9`
`-ncskip` | int | `0` | Skip N points in the output file of correlation functions
`-beginfit` | real | `0` | Time where to begin the exponential fit of the correlation function
`-endfit` | real | `-1` | Time where to end the exponential fit of the correlation function, -1 is till the end

http://www.gromacs.org
gromacs@gromacs.org